var proxyOptions = {
    user: 'smg',
    pass: 'smg',
    port: 808,
    host: 'localhost',
    enabled: false
}


main()


async function main(){
    let SMGPush=require('../SMGPush')
    let connectionUrl='http://newmanager.smg.com.tr/smgpush', retryConnect=true, db,schedulesdb,announcesdb

    let push=new SMGPush({connectionUrl,retryConnect,db,schedulesdb,announcesdb})

    await push.setUser({IP:'192.168.2.22',deviceID:7786,deviceName:'can',userType:7,version:'8.7.0'})


    push.setProxy(proxyOptions)
    push.connect()

}




setInterval(()=>{},500)